aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2019-11-15 11:32:25 -0800
committerGerald Combs <gerald@wireshark.org>2019-11-15 20:14:36 +0000
commit1cc5b68ac9b1b35bc0dd33dcef84030454dd4d35 (patch)
tree72f4a5fde5834f99d64bf96ad75573e56ec4ff38 /packaging
parent7590d08db1b228d412657e511a7e098ae41b7c53 (diff)
macOS: Application bundle fixes.
Copy Sparkle.framework correctly. Force signing so that we replace Sparkle's signature with ours. In osx-app.sh, don't sign a file or framework if it's already signed. Fix the osx-dmg.sh usage message while we're here. Change-Id: I697073d234958e1d8386650935a132237ad88f64 Reviewed-on: https://code.wireshark.org/review/35095 Reviewed-by: Gerald Combs <gerald@wireshark.org>
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh.in3
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in2
2 files changed, 3 insertions, 2 deletions
diff --git a/packaging/macosx/osx-app.sh.in b/packaging/macosx/osx-app.sh.in
index 3cda62a076..f3fb8f2f2a 100755
--- a/packaging/macosx/osx-app.sh.in
+++ b/packaging/macosx/osx-app.sh.in
@@ -231,7 +231,7 @@ fi
/usr/bin/install_name_tool -delete_rpath "$qt_frameworks_dir" $pkgexec/Wireshark
if [ -d "$sparkle_frameworks_dir" ] ; then
- cp -r "$sparkle_frameworks_dir" "$pkglib" || exit 1
+ cp -R "$sparkle_frameworks_dir" "$pkglib" || exit 1
fi
# NOTE: we must rpathify *all* files, *including* Qt libraries etc.,
@@ -466,6 +466,7 @@ codesign_file () {
# https://developer.apple.com/documentation/security/hardened_runtime_entitlements?language=objc
codesign \
--sign "Developer ID Application: $CODE_SIGN_IDENTITY" \
+ --force \
--options runtime \
--entitlements "@CMAKE_SOURCE_DIR@/packaging/macosx/entitlements.plist" \
--timestamp \
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 4982508feb..9967d83953 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -23,7 +23,7 @@ OPTIONS
Display this help message.
Icons are positioned and the background image is set in
-arrange_dmg.applescript.
+dmgbuild-settings.py.in.
"
}